<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="UTF-8" />
<title>Welcome</title>
<link rel="stylesheet" type="text/css" th:href="@{/style.css}" />

</head>
<body>
	<div th:replace="fragments/header :: header"></div>
		<div class="marginA">
		<form class="add" th:action="@{/addCard}" th:object="${CardForm}" method="POST">
			<fieldset >
				<div >
					<legend >Add your Card</legend>
				</div>
				<div >
					<label for="form-name">Name</label>
					<div >
						<input id="form-name" type="text" placeholder="Card name ..." th:field="*{name}">
						
					</div>
				</div>
				
				<div >
					<label for="form-desc">Decription</label>
					<div >
						<input id="form-desc" type="text" placeholder="Card description ..." th:field="*{desc}">
					</div>
				</div>
				
				<div >
					<label for="form-imgUrl">ImgUrl</label>
					<div >
						<input id="form-imgUrl" type="text" placeholder="Url ..." th:field="*{imgUrl}">
					</div>
				</div>
				
				<div >
					<label for="form-family">Family</label>
					<div>
						<select id="form-family" type="select"  th:field="*{family}">
						<option value="Happy Tree Friends">Happy Tree Friends</option>
						<option value="Pokémon">Pokémon</option>
						<option value="MyLittlePoney">MyLittlePoney</option>
						<option value="Digimon">Digimon</option>
						</select>
					</div>
				</div>
				
				<div>
					<label for="form-affinity">Affinity</label>
					<div>
						<select id="form-affinity" type="select"  th:field="*{affinity}">
						<option value="Fire">Fire</option>
						<option value="Water">Water</option>
						<option value="Plant">Plant</option>
						<option value="Light">Light</option>
						<option value="Dark">Dark</option>
						<option value="Wind">Wind</option>
						</select>
					</div>
				</div>
				
				
				<div >
					<label for="form-Hp">Hp</label>
					<div >
						<input id="form-Hp" type="range" placeholder="50" min="0" max="100"th:field="*{Hp}">
					</div>
				</div>
				<div >
					<label for="form-Energy">Energy</label>
					<div >
						<input id="form-Energy" type="range" placeholder="50" min="0" max="100"th:field="*{Energy}">
					</div>
				</div>
				<div >
					<label for="form-Attack">Attack</label>
					<div >
						<input id="form-Attack" type="range" placeholder="50" min="0" max="100"th:field="*{Attack}">
					</div>
				</div>
				<div >
					<label for="form-Defence">Defence</label>
					<div >
						<input id="form-Defence" type="range" placeholder="50" min="0" max="100"th:field="*{Defence}">
					</div>
				</div>
				<div >
					<input type="submit"  class="uk-button uk-button-default" value="Create" />
				</div>
	
			</fieldset>
		</form>
	</div>
</body>

</html>